import { main } from "./src";

main();

// TODO что еще сделать

/**
 * // При прослушке каналов есть ошибка 
 * [2024-02-29T09:05:46.229] [WARN] - [Connection closed while receiving data]
Error: Not connected
    at ConnectionTCPFull.recv (/Users/alex/Documents/Dev/tiProduction/node_modules/telegram/network/connection/Connection.js:71:15)
    at async MTProtoSender._recvLoop (/Users/alex/Documents/Dev/tiProduction/node_modules/telegram/network/MTProtoSender.js:362:24)
    // Погуглить либо заменить на прослушку через таймер
    // либо принудительно рвать коннект раз в 10 мин и перезапускать
 
    */

    // оценивать позитьивность/негативность поста
// Проверить какие события еще считывает слушатель,
// Можно ли считывать реакции с поста
// Антиспам в комменты
// Умный проверяльщие соответсвия JSON определенному типу

// Подготовить список правил проверок
// Фильтровать по ограничениям:
// Наличие ссылок
// Наличие erid
// Длинный текст поста, потому что съест много токенов

// Если в тексте поста указан изначальный источник, то попробовать выдернуть его и сохранить, в дальнейшем для проверки информации

// Вести лог отбракованных сообщений, может получать ссылки на них для удобства?
// Нужен логер

// Получать количество свободных токенов из GPT

// разные рубрики
// включать и отключать комменты под сообщениями разных типов для создания активности
// анализ схожести постов
// Определять тематику поста
// Смайлики, убирать из исходных постов


// Добавить скрипт для ручного создания контейнера
 // В режиме рилтайм отправлять только новости >7 по интересу
 // добавить дайджест новостей за последние 4 часа
 // поискать промпты
 // Прилумать название и иконку

 // Можно содрать формат 📅 Важные события на этой неделе  из Ленивый инвестор


 /**
  * 
  * На бьольших постах задавать вопросы для активности
  * Поикать примеры постов, для отладки промпта
  * 
Поддерживаете отмену обязательной сдачи ЕГЭ?
👍 — да, пора уже отменить
🤔 — меня все устраивает
*/


// Убрать "Подпишись на RTVI" - сделать через регулярку


// Видео можно пересылать, потому что обычно это видео из первоисточников, но зависит от канала


// cd dev/gitlab/tiProduction/ && docker pull tiprodtest/testper:latest && docker run --env-file .env -d tiprodtest/testper:latest

// Добавить GPT бота для личных нужд

// Определять важные посты по ключевым словам а не по скорингу от GPT